Name:           wiki2beamer
Version:        0.9.5
Release:        12%{?dist}
Summary:        Converts a simple wiki-like syntax to complex LaTeX beamer code
License:        GPLv2+ and GFDL

BuildArch:      noarch
BuildRequires:  python3-devel
URL:            http://sourceforge.net/projects/%{name}
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.zip

%description
Wiki2beamer converts a simple wiki-like syntax to complex LaTeX beamer code. 
It's written in python and should run on windows and all *nix platforms. Why 
collaborative? Because you can use it with version control systems. Afraid 
to loose some LaTeX powers? Don't worry: you can always fall back to plain 
LaTeX as wiki2beamer is just a preprocessor.

%prep
%setup -q

for file in code/wiki2beamer; do
    sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|' $file
done
mv doc/fdl.txt doc/LICENSE-DOCS

%build
pushd code/
%{__python3} setup.py build
popd


%install

pushd code/
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
install -m644 -D doc/man/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1
rm -r %{buildroot}/%{python3_sitelib}

%check


%files
%doc LICENSE README doc/LICENSE-DOCS doc/example
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9.5-11
- Rebuild for Python 3.6

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-9
- Switch to python3

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 04 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-4
- Email address in changelog
- Remove the clean tag
- Add README to doc

* Thu Oct 04 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-3
- Macro consistency

* Sat Sep 22 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-2
- Fix release tag
- Not cleaning the buildroot(obsolete)
- Renamed fdl.txt to LICENSE-DOCS

* Mon Aug 27 2012 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.9.5-1
- Initial package
